[Fuego] [PATCH 8/9] pi_tests: add a positive log_compare

Daniel Sangorrin daniel.sangorrin at toshiba.co.jp
Thu Jan 11 08:28:31 UTC 2018


without a positive log_comapre the test could fail without
us knowing!

Signed-off-by: Daniel Sangorrin <daniel.sangorrin at toshiba.co.jp>
---
 engine/tests/Functional.pi_tests/fuego_test.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/engine/tests/Functional.pi_tests/fuego_test.sh b/engine/tests/Functional.pi_tests/fuego_test.sh
index a95218a..8df76d3 100755
--- a/engine/tests/Functional.pi_tests/fuego_test.sh
+++ b/engine/tests/Functional.pi_tests/fuego_test.sh
@@ -26,6 +26,8 @@ function test_processing {
     if [ $? -ne 0 ]; then RETURN_VALUE=1; fi
     log_compare "$TESTDIR" "0" "is deadlocked!" "n"
     if [ $? -ne 0 ]; then RETURN_VALUE=1; fi
+    log_compare "$TESTDIR" "1" "^Total inversion performed" "p"
+    if [ $? -ne 0 ]; then RETURN_VALUE=1; fi
 
     return $RETURN_VALUE
 }
-- 
2.7.4




More information about the Fuego mailing list